Bug 8452 - (int-180957) Provide "provisioning support" for Exchange
(int-180957)
: Provide "provisioning support" for Exchange
Status: RESOLVED FIXED
Product: Synchronization
Mail for Exchange
: 5.0/(3.2010.02-8)
: N900 Maemo
: Unspecified enhancement with 29 votes (vote)
: Harmattan
Assigned To: unassigned
: activesync-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-24 03:22 UTC by Kei
Modified: 2011-08-22 17:22 UTC (History)
10 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Kei (reporter) 2010-01-24 03:22:30 UTC
SOFTWARE VERSION: RX-51_2009SE_2.2009.51-1.002_PR_002
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Entered correct settings to setup Mail for Exchange account.
2. Get account disabled message.


EXPECTED OUTCOME: Account sychronised.

ACTUAL OUTCOME: Account does not synchronise because Exchange server tries to
scan device's security settings, but is unable to proceed.

REPRODUCIBILITY: Always
(always, less than 1/10, 5/10, 9/10)

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; WOW64;
Trident/4.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729;
Media Center PC 6.0; InfoPath.2; OfficeLiveConnector.1.3; OfficeLivePatch.0.0;
.NET CLR 1.1.4322)
Comment 1 Andre Klapper maemo.org 2010-01-24 18:40:43 UTC
Thanks for reporting this.

Can you please:
1) Check the "Known issues" section in http://wiki.maemo.org/Mail_for_Exchange
If this does not help:
2) Install syslog (see
http://wiki.maemo.org/Documentation/devtools/maemo5/syslog ) and reboot
3) Open X Terminal
[optional steps begin]
3A. Enter "sudo gainroot" (to do that make sure that you have installed
"rootfs" from the Application Manager)
3B. cat /dev/null > /var/log/syslog
[optional steps end]
4) Provide the output the following commands:
   gconftool-2 -s --type=int /apps/activesync/AsDaemon/Syslog/MinLogLevel 0
   gconftool-2 -s --type=int /apps/activesync/modest/Syslog/MinLogLevel 0
   gconftool-2 -s --type=int /apps/activesync/AsProvider/Syslog/MinLogLevel 0
   gconftool-2 -s --type=int /apps/activesync/AsBackup/Syslog/MinLogLevel 0
   gconftool-2 -s --type=int /apps/activesync/asapplet/Syslog/MinLogLevel 0
   gconftool-2 -s --type=int /apps/activesync/AsStatusApplet/Syslog/MinLogLevel
0
5) Attach the file /var/log/syslog from the device to this bug (if needed, copy
it first to the section that is visible in the File Manager: cp /var/log/syslog
/home/user/MyDocs/.documents/  )
Comment 2 Vitaly Repin 2010-02-13 22:47:35 UTC
> Account does not synchronise because Exchange server tries to
> scan device's security settings, but is unable to proceed.

N900 is non provisionable device.

Check this link for the details:
http://wiki.maemo.org/Mail_For_Exchange_%28MfE%29_Heartbeat_and_FAQ#Provisioning
Comment 3 Robin Hill 2010-02-17 15:01:29 UTC
Would it be better to change this bug to a "provisioning support" feature
request then, or to create a new one?  There doesn't seem to be anything in
bugzilla explicitly requesting provisioning support yet, though it's a very
common complaint.
Comment 4 Andre Klapper maemo.org 2010-02-17 15:06:22 UTC
Done.
Comment 5 markus.wachter 2010-06-05 23:28:01 UTC
as Nokia claims exchange server is supported, I think this is a Severity of
"normal" or "major" rather than an enhancement and should be treated with
higher priority.
Comment 6 Andre Klapper maemo.org 2010-06-07 13:58:13 UTC
(In reply to comment #5)
> as Nokia claims exchange server is supported

It is supported, but maybe not every possible setting out there?
Comment 7 clausstiekallesoe 2010-06-25 23:09:11 UTC
(In reply to comment #3)
> Would it be better to change this bug to a "provisioning support" feature
> request then, or to create a new one?  There doesn't seem to be anything in
> bugzilla explicitly requesting provisioning support yet, though it's a very
> common complaint.
> 

Hi

I am fairly new to maemo and N900 but I will support this 100%.

The lack of provisioning means that I am not allowed/able to sync with our
corporate exchange and I think a lot of bigger organisations have provisioning
as a must.

Tried to add all my votes to this one but failed so for now there is only one
Comment 8 Andre Klapper maemo.org 2010-06-26 10:21:28 UTC
(Please avoid quoting entire previous comments.)

(In reply to comment #7)
> The lack of provisioning means that I am not allowed/able to sync with our
> corporate exchange and I think a lot of bigger organisations have provisioning
> as a must.

Please avoid adding "Me too" comments which create bugmail for everybody but
click "Vote for this bug" instead (as you already did).
Comment 9 Nag 2010-06-30 09:28:08 UTC
Doesn't make much sense when you can't access corporate mails with a good
device like N900. It reduces the worth over all. I support provisioning.
Comment 10 jainn 2010-09-07 11:36:15 UTC
Please, please do this. I have blasted local Nokia folks for this, although I
feel I've been little bit hard on them.
In any case, MFE support was the critical factor for buying a new phone for
myself, which N900 has miserably failed.
Comment 11 Andre Klapper maemo.org 2010-09-07 12:07:50 UTC
[Please try not to comment on a report if the comment does not provide any
technical information for developers. Clicking "Vote for this bug" is welcome,
but "Me too!" comments just create bugmail for everybody. Also there is the
forum at http://talk.maemo.org for this type of communication. Thanks!]
Comment 12 Andre Klapper maemo.org 2011-06-22 23:28:47 UTC
*** Bug 11136 has been marked as a duplicate of this bug. ***
Comment 13 Andre Klapper maemo.org 2011-06-22 23:30:00 UTC
This issue has been FIXED for Harmattan (the software version after Maemo5).
According to Nokia this unfortunately is a WONTFIX for Maemo5.
Comment 14 chandan 2011-06-23 01:51:44 UTC
(In reply to comment #13)
> This issue has been FIXED for Harmattan (the software version after Maemo5).
> According to Nokia this unfortunately is a WONTFIX for Maemo5.

please tell me one thing honestly, will we ever get a chance to sync our N900
with our corporate mail and calendar?  

I am feeling being cheated by Nokia :(
Comment 15 Andre Klapper maemo.org 2011-06-26 18:41:11 UTC
Correction on Harmattan status: See
http://forum.meego.com/showpost.php?p=23327&postcount=216
Comment 16 Andre Klapper maemo.org 2011-08-22 17:22:27 UTC
*** Bug 12332 has been marked as a duplicate of this bug. ***